#!/usr/bin/env python3
# -*- coding: utf-8 -*-
import os

import utils


def setup(interactive=True):
    dir_path = utils.get_dir(__file__)
    cmds = [
        'apt-get clean',
        'apt-get update',
        'apt-get install --yes make ipython ipython3 vim netcat git htop iotop bmon host lm-sensors pciutils nfs-client smartmontools pwgen dialog curl python3-requests',
        # Locale
        'locale-gen en_GB.UTF-8',
        'update-locale LANG=en_GB.UTF-8 LANGUAGE=en_GB.UTF-8 LC_ALL=en_GB.UTF-8 LC_MESSAGES=en_GB.UTF-8',
        # Vim colors
        '[ -f ~/.vimrc ] || echo "color ron" > ~/.vimrc',
        # Copy bashrc file
        'cp "%s/bashrc" "/root/.bashrc"' % dir_path,
    ]
    utils.run_commands(cmds)
